Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface EventSource

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  Action, ActionConnector, ActionContainer<T>, AssignAction, AssigneeDefinition, AssignmentInstructions, AssignToNextUserAction, BusinessDateTime, Constructor, ConstructorContainer, Mapping, NamedIndexedObject, NamedObject, NamedObjectContainer<T>, Property, PropertyRef, ReturnAction, RuleBinding, RuleBindings, Step, StepAction, StepWorkAction, TaskOwnerDefinition, TaskPlan, WorkAction

    public interface EventSource

extends Serializable

Base interface for all TaskPlan objects that can fire events.

Nested Class Summary
`static interface` | `EventSource.Event`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)`
`void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener l)`
`void` | `clearDirty()`
`void` | `dispose()` Dispose of this object, releasing any resources it might hold (e.g.
`EventSource` | `getParent()` Get the parent object for this object.
`boolean` | `isComplete()` Returns true if initialization of this object completed successfully.
`boolean` | `isDirty()` True if this object has been changed since the last call to clearDirty() or its construction.
`boolean` | `isInitializing()` Returns true if this object is still being initialized.
`boolean` | `isStarted()` Has startProducing been called on this object?
`void` | `markDirty()`
`void` | `removePropertyChangeListener(PropertyChangeListener l)`
`void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener l)`
`void` | `startProducing()` Start producing events (called after initial construction of an object graph when the entire object graph is complete).

Method Detail

### isInitializing

    boolean isInitializing()

  Returns true if this object is still being initialized. Objects that return true cannot be assumed to have referential integrity yet.

### isComplete

    boolean isComplete()

  Returns true if initialization of this object completed successfully. This does not indicate that the object is valid, etc.

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener l)

### addPropertyChangeListener

    void addPropertyChangeListener(String propertyName,
                                   PropertyChangeListener l)

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener l)

### removePropertyChangeListener

    void removePropertyChangeListener(String propertyName,
                                      PropertyChangeListener l)

### startProducing

    void startProducing()

  Start producing events (called after initial construction of an object graph when the entire object graph is complete). Containers, after initial construction (they themselves have had their startProducing() method called), should verify that startProducing gets called on any child objects they create. The child object may itself call startProducing. If it does, the container/parent should see this by calling isStarted() and not call startProducing twice.

### isStarted

    boolean isStarted()

  Has startProducing been called on this object?

  Returns:
    true if startProducing() has been called on this object, false otherwise, or dispose() has been called since the last call to startProducing.

### isDirty

    boolean isDirty()

  True if this object has been changed since the last call to clearDirty() or its construction.

### markDirty

    void markDirty()

### clearDirty

    void clearDirty()

### getParent

    EventSource getParent()

  Get the parent object for this object.

  Returns:
    The parent object, or null if this object lives at the top of the object hierarchy.

### dispose

    void dispose()

  Dispose of this object, releasing any resources it might hold (e.g. listeners, etc.).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD